<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost(List&lt;? extends Building&gt;, Geometry)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#separateTypeRoadFromNameRoad(java.lang.String)">separateTypeRoadFromNameRoad(String)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setAdresse(java.lang.String)">setAdresse(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#setAreaHousingLot(java.util.List)">setAreaHousingLot(List&lt;Integer&gt;)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setCodePos(java.lang.String)">setCodePos(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html#setEntrances(org.locationtech.jts.geom.MultiPoint)">setEntrances(MultiPoint)</a></span> - Method in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#setFunctionalRatio(float)">setFunctionalRatio(float)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#setIDsBuilding(java.util.List)">setIDsBuilding(List&lt;String&gt;)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html#setIdSTIF(java.util.List)">setIdSTIF(List&lt;String[]&gt;)</a></span> - Method in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt100120M2(float)">setLgt100120M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt120M2P(float)">setLgt120M2P(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt3040M2(float)">setLgt3040M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt4060M2(float)">setLgt4060M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt6080M2(float)">setLgt6080M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgt80100M2(float)">setLgt80100M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#setLgtM30M2(float)">setLgtM30M2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setnAdresse(java.lang.String)">setnAdresse(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html#setName(java.lang.String)">setName(String)</a></span> - Method in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#setNbPOI(int)">setNbPOI(int)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#setNbWorkingPlace(int)">setNbWorkingPlace(int)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Aggregate.html#setP(org.locationtech.jts.geom.Polygon)">setP(Polygon)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#setPotentialArea(double)">setPotentialArea(double)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/ICIObject.html#setRdGen(java.util.Random)">setRdGen(Random)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setSiret(java.lang.String)">setSiret(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setSorting(java.lang.String%5B%5D)">setSorting(String[])</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setTrancheEffectifsUniteLegale(java.lang.String)">setTrancheEffectifsUniteLegale(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#setTypeRoad(java.lang.String)">setTypeRoad(String)</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#sex">sex</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property"><span class="type-name-link">Sex</span></a> - Enum in <a href="../fr/ici/dataImporter/iciObjects/property/package-summary.html">fr.ici.dataImporter.iciObjects.property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/BusStation.html#shelter">shelter</a></span> - Variable in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/BusStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">BusStation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html#SINGLEMENHOUSING">SINGLEMENHOUSING</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></dt>
<dd>
<div class="block">Household of one men.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html#SINGLEPARENTFAMILY">SINGLEPARENTFAMILY</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></dt>
<dd>
<div class="block">Household with one adult and children.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html#SINGLEWOMENHOUSING">SINGLEWOMENHOUSING</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></dt>
<dd>
<div class="block">Household of one woman.</div>
</dd>
<dt><a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">SireneEntry</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>
<div class="block">Abstract class for any SIRENE related object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SireneEntry(String, String, String, String, String, String, String, String, String, String, String)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneEntry(String, String, String, String, String, String, String, String, String, String, String, String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>
<div class="block">Constructor for an already constructed and exported object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneEntry(String, String, String, String, String, String, String, String, String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">SireneImport</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.html#%3Cinit%3E()">SireneImport()</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">SireneImport.TemporizeSIRENECursoredData</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">SirenePOI</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SirenePOI(String, String, String, String, String, String, String, String, String)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>
<div class="block">Constructor to create POI before geocoding</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SirenePOI(String, String, String, String, String, String, String, String, String, String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>
<div class="block">Constructor to import POI</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SirenePOI(String, String, String, String, String, String, String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>
<div class="block">Constructor to create POI with geometry</div>
</dd>
<dt><a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">SireneWorkingPlace</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>
<div class="block">Represents a place declared for having an economic or associative activity.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SireneWorkingPlace(String, String, String, String, String, String, String, String, String)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></dt>
<dd>
<div class="block">Create a new SireneWorkingPlace object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point,double)">SireneWorkingPlace(String, String, String, String, String, String, String, String, String, String, String, String, String, String, Point, double)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></dt>
<dd>
<div class="block">Create an already existing and exported SireneWorkingPlace object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneWorkingPlace(String, String, String, String, String, String, String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></dt>
<dd>
<div class="block">Create a new SireneWorkingPlace object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html#siret">siret</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#siret">siret</a></span> - Variable in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#size">size</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">Size if the household</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#sizeOfFourPlusFamily()">sizeOfFourPlusFamily()</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">Get the number of children for 4+ families.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#sizeOfPlus25Family()">sizeOfPlus25Family()</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/SortAPURSocial.html#sort(java.io.File,java.io.File,java.io.File)">sort(File, File, File)</a></span> - Static method in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/SortAPURSocial.html" title="class in fr.ici.dataImporter.paris">SortAPURSocial</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/paris/SortAPURSocial.html" title="class in fr.ici.dataImporter.paris"><span class="type-name-link">SortAPURSocial</span></a> - Class in <a href="../fr/ici/dataImporter/paris/package-summary.html">fr.ici.dataImporter.paris</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/SortAPURSocial.html#%3Cinit%3E()">SortAPURSocial()</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/SortAPURSocial.html" title="class in fr.ici.dataImporter.paris">SortAPURSocial</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#sorting">sorting</a></span> - Variable in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>
<div class="block">Table containing result of a search in the nomenclature.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface(List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#source">source</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport"><span class="type-name-link">Station</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/transport/package-summary.html">fr.ici.dataImporter.iciObjects.transport</a></dt>
<dd>
<div class="block">IdF Mobilité station objects.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html#%3Cinit%3E()">Station()</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html#%3Cinit%3E(java.io.File,java.io.File,java.io.File)">Station(File, File, File)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport"><span class="type-name-link">SubwayStation</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/transport/package-summary.html">fr.ici.dataImporter.iciObjects.transport</a></dt>
<dd>
<div class="block">IdF Mobilité subway station object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html#%3Cinit%3E(java.io.File,java.io.File,java.io.File)">SubwayStation(File, File, File)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html#%3Cinit%3E(org.locationtech.jts.geom.MultiPoint,java.util.List,java.lang.String,java.util.List)">SubwayStation(MultiPoint, List&lt;String[]&gt;, String, List&lt;String&gt;)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#suffix">suffix</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/GraphAnalysis.html#sumHouseholdAndIndiv()">sumHouseholdAndIndiv()</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/GraphAnalysis.html" title="class in fr.ici.dataImporter.util">GraphAnalysis</a></dt>
<dd>
<div class="block">Compute the sum of household and household population from regular file's position.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/GraphAnalysis.html#sumHouseholdAndIndiv(java.io.File,java.io.File)">sumHouseholdAndIndiv(File, File)</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/GraphAnalysis.html" title="class in fr.ici.dataImporter.util">GraphAnalysis</a></dt>
<dd>
<div class="block">Compute the sum of household and household population.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html#summarizeIRIS(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.io.File)">summarizeIRIS(SimpleFeatureCollection, List&lt;POI&gt;, List&lt;WorkingPlace&gt;, List&lt;BuildingSimple&gt;, List&lt;Household&gt;, List&lt;Individual&gt;, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/exporter/ConvertToRaster.html#summarizePOI(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">summarizePOI(SimpleFeatureCollection, SimpleFeatureCollection)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.exporter.<a href="../fr/ici/dataImporter/iciObjects/exporter/ConvertToRaster.html" title="class in fr.ici.dataImporter.iciObjects.exporter">ConvertToRaster</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/exporter/ConvertToRaster.html#summarizeWP(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">summarizeWP(SimpleFeatureCollection, SimpleFeatureCollection)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.exporter.<a href="../fr/ici/dataImporter/iciObjects/exporter/ConvertToRaster.html" title="class in fr.ici.dataImporter.iciObjects.exporter">ConvertToRaster</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
